# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(

%define rversion 0.3.3

Name: x11-driver-video-openchrome
Version: 20151025 
Release: %mkrel 2
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source0: http://xorg.freedesktop.org/archive/individual/driver/xf86-video-openchrome-%{rversion}.tar.xz
Patch13:  openchrome-0.2.904-fix_tvout_flickering.patch
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
Patch102: openchrome_mips_xvmc.patch
Patch103: xf86-video-openchrome-0.3.3-glibc-2.20.patch

License: MIT
BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{rversion}
%patch13 -p0

%patch100 -p1 -b .billionmonkeys
%patch102 -p1 -b .xvmc
%patch103 -p1 -b .glibc-2.20

#needed by patch0
libtoolize
autoreconf -fi

%build
%configure2_5x --disable-static --enable-dri
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

#remove devel files
rm -rf %{buildroot}%{_libdir}/libchromeXvMC.so
rm -rf %{buildroot}%{_libdir}/libchromeXvMCPro.so


%files
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*


%changelog
* Thu Oct 29 2015 bb <bb> 20151025-2pclos2015
- remove devel files

* Thu Oct 29 2015 bb <bb> 20151025-1pclos2015
- actual version 0.3.3
